<template>
  <div id="home" class="home">
    <!-- <h1>Welcome to time managers</h1> -->
   <div id="dashboard">
    <div id="clock">
      
      <Clock></Clock>
    </div>
    <button id="button" @click="setView()"><font-awesome-icon icon="arrow-down" v-if="this.clicked === false"/><font-awesome-icon icon="arrow-up" v-if="this.clicked === true"/></button>
    <div id="workingtimes" v-if="this.clicked === true">
      <Workingtimes></Workingtimes>
    </div> 
   </div>
  </div>

</template>

<script>
  import Vue from "vue";
  import moment from "moment";

  import Workingtimes from '../components/Workingtimes'
  import Clock from '../components/Clock'
  import { FontAwesomeIcon } from "@fortawesome/vue-fontawesome";
  import { faArrowDown, faArrowUp} from "@fortawesome/free-solid-svg-icons";
  import { library } from "@fortawesome/fontawesome-svg-core";
  Vue.component("font-awesome-icon", FontAwesomeIcon);
  library.add(faArrowDown);
  library.add(faArrowUp);

export default {
  name: "Home",
  components: {
    Workingtimes,
    Clock
  },
  computed: {
    formattedElapsedTime() {
      var test = new Object(this.info);
      const date = new Date(null);
      date.setSeconds(
        this.elapsedTime + moment(Date.now()).diff(test.time) / 1000
      );
      return null;
    },
  },
  data() {
    return {
      clicked: true
    }
  },
  methods: {
    setView () {
      if (this.clicked === true) {
        this.clicked = false
      }
      else if (this.clicked === false) {
        this.clicked = true
      }
    }
  }
};
</script>

<style>
#home{
  text-align: center;
    /* overflow: auto; */
    width: 100%;
}

#dashboard {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  
  /* margin-left: 5%; */
}

#button {
  width: 24%;
  height: 5%;
  margin-left: 37%;
}

#clock {
  width: 50%;
  margin-left: 24%;
  margin-top: 20px;
  /* margin-bottom: 1%; */
  /* min-height: 100%; */
  max-height: 200px;
}

#workingtimes {
  /* width: auto; */
  min-width: 10%;
  /* max-height: 300px; */
  /* overflow: auto; */
  /* max-height: 70%; */
}


</style>
